# Griewank multi-modal function.
#
# aivaz@dps.uminho.pt
#
# 14 April 2004

# parameters
param n;                         # dimension


# Problem variables
var x {i in 1..n};


maximize obj: 
	(prod {i in 1..n} (cos(x[i]/sqrt(i))))
	-(sum{i in 1..n} (x[i]^2))/4000-1;

subject to bounds {i in 1..n}:
	-600 <= x[i] <= 600;


data;

param n := 2;

option solver mlocpsoa;
#option npsol_options "mprlev=10 prlev=10";
solve;

display x;

display obj;
