# Spherical uni-modal function.
#
# aivaz@dps.uminho.pt
#
# 13 April 2004

# parameters
param n;                         # dimension


# Problem variables
var x {i in 1..n};


maximize obj: 
	-(sum {i in 1..n} (x[i]^2));

subject to bounds {i in 1..n}:
	-100 <= x[i] <= 100;


data;

param n := 30;

option solver mlocpsoa;
#option npsol_options "mprlev=10 prlev=10";
solve;

display x;

display obj;
